Get Tweet Thread by ID
Retrieve all tweets in a thread by tweet ID, sorted by latest.
APIリファレンスに戻る
/Tweets Endpoints
POST
/twitter/tweets/thread_by_idAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsontweet_idstring必須ツイートの一意のID
default: "1621544497388875777"
max_itemsintegerMax number of thread tweets to return
min 1 · max 200 · default: 40
fieldsstring[] | null省略可能なフィールド名の JSON 配列です。空欄にすると fields を省略し、すべてのフィールドを返します。選択する場合は ["tweet_id","text"] を入力してください。配列全体を引用符で囲まないでください。
default: null
レスポンス
200A list of tweets in the thread, sorted by latest.
any422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
🔍
公開データ取得(TwexAPIキーのみ、Twitter Cookie不要)
本エンドポイントは公開Twitterデータの検索・取得用です。TwitterアカウントやCookieは一切不要です!下記の「API認証」に TwexAPIプラットフォームキー (Bearer Token) を入力するだけで即座にテストできます。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/twitter/tweets/thread_by_id" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tweet_id": "1621544497388875777",
"max_items": 40
}'const response = await fetch("https://api.twexapi.io/twitter/tweets/thread_by_id", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"tweet_id": "1621544497388875777",
"max_items": 40
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/tweets/thread_by_id",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"tweet_id": "1621544497388875777",
"max_items": 40
},
)レスポンス例
A list of tweets in the thread, sorted by latest.
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}